Bug 180295 - New port: security/p5-Crypt-RSA-Yandex
Summary: New port: security/p5-Crypt-RSA-Yandex
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:10 UTC by Anes Mukhametov
Modified: 2013-11-15 14:50 UTC (History)
0 users

See Also:


Attachments
p5-Crypt-RSA-Yandex.shar (2.17 KB, text/plain)
2013-07-05 13:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:10:00 UTC
	New port: security/p5-Crypt-RSA-Yandex	
	Perl binding to modified RSA library (yamrsa) for encrypting Yandex auth token
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:55:57 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:40 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:57:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 11:44:37 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 Mathieu Arnold freebsd_committer 2013-11-15 14:42:46 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2013-11-15 14:43:08 UTC
Author: mat
Date: Fri Nov 15 14:42:59 2013
New Revision: 333871
URL: http://svnweb.freebsd.org/changeset/ports/333871

Log:
  Add p5-Crypt-RSA-Yandex 0.06, perl binding to modified RSA (yamrsa).
  
  PR:		ports/180295
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/security/p5-Crypt-RSA-Yandex/
  head/security/p5-Crypt-RSA-Yandex/Makefile   (contents, props changed)
  head/security/p5-Crypt-RSA-Yandex/distinfo   (contents, props changed)
  head/security/p5-Crypt-RSA-Yandex/pkg-descr   (contents, props changed)
  head/security/p5-Crypt-RSA-Yandex/pkg-plist   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Fri Nov 15 14:34:53 2013	(r333870)
+++ head/security/Makefile	Fri Nov 15 14:42:59 2013	(r333871)
@@ -483,6 +483,7 @@
     SUBDIR += p5-Crypt-RC6
     SUBDIR += p5-Crypt-RIPEMD160
     SUBDIR += p5-Crypt-RSA
+    SUBDIR += p5-Crypt-RSA-Yandex
     SUBDIR += p5-Crypt-Rabbit
     SUBDIR += p5-Crypt-RandPasswd
     SUBDIR += p5-Crypt-Random

Added: head/security/p5-Crypt-RSA-Yandex/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/p5-Crypt-RSA-Yandex/Makefile	Fri Nov 15 14:42:59 2013	(r333871)
@@ -0,0 +1,18 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Crypt-RSA-Yandex
+PORTVERSION=	0.06
+CATEGORIES=	security perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Perl binding to modified RSA (yamrsa)
+
+USES=	perl5
+USE_PERL5=	configure
+
+MAKE_ARGS=	CC=${CXX}
+
+.include <bsd.port.mk>

Added: head/security/p5-Crypt-RSA-Yandex/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/p5-Crypt-RSA-Yandex/distinfo	Fri Nov 15 14:42:59 2013	(r333871)
@@ -0,0 +1,2 @@
+SHA256 (Crypt-RSA-Yandex-0.06.tar.gz) = 012e3d2c5c0408dfbe8e7e3ca6beb2d3be9caa0f5991c8e43c4534a67cd1e596
+SIZE (Crypt-RSA-Yandex-0.06.tar.gz) = 53179

Added: head/security/p5-Crypt-RSA-Yandex/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/p5-Crypt-RSA-Yandex/pkg-descr	Fri Nov 15 14:42:59 2013	(r333871)
@@ -0,0 +1,4 @@
+Perl binding to modified RSA library (yamrsa) for encrypting Yandex auth token
+
+
+WWW: http://search.cpan.org/dist/Crypt-RSA-Yandex/

Added: head/security/p5-Crypt-RSA-Yandex/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/p5-Crypt-RSA-Yandex/pkg-plist	Fri Nov 15 14:42:59 2013	(r333871)
@@ -0,0 +1,10 @@
+%%PERL5_MAN3%%/Crypt::RSA::Yandex.3.gz
+%%SITE_PERL%%/%%PERL_ARCH%%/Crypt/RSA/Yandex.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Crypt/RSA/Yandex/Yandex.so
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Crypt/RSA/Yandex/Yandex.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Crypt/RSA/Yandex/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Crypt/RSA/Yandex
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Crypt/RSA
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Crypt
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/Crypt/RSA
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/Crypt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"